#############################################################################
# Makefile for building: chain_encryption
# Generated by qmake (3.1) (Qt 5.14.1)
# Project:  ..\chain_encryption\chain_encryption.pro
# Template: app
# Command: C:\Qt\5.14.1\mingw73_32\bin\qmake.exe -o Makefile ..\chain_encryption\chain_encryption.pro -spec win32-g++ "CONFIG+=qtquickcompiler"
#############################################################################

MAKEFILE      = Makefile

EQ            = =

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DUNICODE -D_UNICODE -DWIN32 -DMINGW_HAS_SECURE_API=1 -DQT_DEPRECATED_WARNINGS -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_NEEDS_QMAIN
CFLAGS        = -fno-keep-inline-dllexport -O2 -Wall -Wextra -Wextra $(DEFINES)
CXXFLAGS      = -fno-keep-inline-dllexport -O2 -std=gnu++11 -Wall -Wextra -Wextra -fexceptions -mthreads $(DEFINES)
INCPATH       = -I..\chain_encryption -I. -I..\..\..\..\Qt\5.14.1\mingw73_32\include -I..\..\..\..\Qt\5.14.1\mingw73_32\include\QtWidgets -I..\..\..\..\Qt\5.14.1\mingw73_32\include\QtGui -I..\..\..\..\Qt\5.14.1\mingw73_32\include\QtANGLE -I..\..\..\..\Qt\5.14.1\mingw73_32\include\QtCore -I. -I. -I..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\win32-g++ 
LINKER      =        g++
LFLAGS        =        -Wl,-s -Wl,-subsystem,windows -mthreads
LIBS        =        C:\Qt\5.14.1\mingw73_32\lib\libQt5Widgets.a C:\Qt\5.14.1\mingw73_32\lib\libQt5Gui.a C:\Qt\5.14.1\mingw73_32\lib\libQt5Core.a  -lmingw32 C:\Qt\5.14.1\mingw73_32\lib\libqtmain.a -LC:\openssl\lib -LC:\Utils\my_sql\mysql-5.7.25-win32\lib -LC:\Utils\postgresql\pgsql\lib -lshell32 
QMAKE         = C:\Qt\5.14.1\mingw73_32\bin\qmake.exe
DEL_FILE      = del
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
COPY          = copy /y
COPY_FILE     = copy /y
COPY_DIR      = xcopy /s /q /y /i
INSTALL_FILE  = copy /y
INSTALL_PROGRAM = copy /y
INSTALL_DIR   = xcopy /s /q /y /i
QINSTALL      = C:\Qt\5.14.1\mingw73_32\bin\qmake.exe -install qinstall
QINSTALL_PROGRAM = C:\Qt\5.14.1\mingw73_32\bin\qmake.exe -install qinstall -exe
DEL_FILE      = del
SYMLINK       = $(QMAKE) -install ln -f -s
DEL_DIR       = rmdir
MOVE          = move
IDC           = idc
IDL           = midl
ZIP           = zip -r -9
DEF_FILE      = 
RES_FILE      = 
SED           = $(QMAKE) -install sed
MOVE          = move

####### Output directory

OBJECTS_DIR   = . 

####### Files

SOURCES       = ..\chain_encryption\compa.cpp \
		..\chain_encryption\comparator.cpp \
		..\chain_encryption\data.cpp \
		..\chain_encryption\dfg.cpp \
		..\chain_encryption\encrypt.cpp \
		..\chain_encryption\main.cpp \
		..\chain_encryption\mainwindow.cpp \
		..\chain_encryption\sha_512.cpp qrc_imgs.cpp \
		moc_mainwindow.cpp
OBJECTS       = compa.o \
		comparator.o \
		data.o \
		dfg.o \
		encrypt.o \
		main.o \
		mainwindow.o \
		sha_512.o \
		qrc_imgs.o \
		moc_mainwindow.o

DIST          =  ..\chain_encryption\compa.h \
		..\chain_encryption\comparator.h \
		..\chain_encryption\data.h \
		..\chain_encryption\dfg.h \
		..\chain_encryption\encrypt.h \
		..\chain_encryption\mainwindow.h \
		..\chain_encryption\sha_512.h ..\chain_encryption\compa.cpp \
		..\chain_encryption\comparator.cpp \
		..\chain_encryption\data.cpp \
		..\chain_encryption\dfg.cpp \
		..\chain_encryption\encrypt.cpp \
		..\chain_encryption\main.cpp \
		..\chain_encryption\mainwindow.cpp \
		..\chain_encryption\sha_512.cpp
QMAKE_TARGET  = chain_encryption
DESTDIR        =  #avoid trailing-slash linebreak
TARGET         = chain_encryption.exe
DESTDIR_TARGET = chain_encryption.exe

####### Build rules

first: all
all: Makefile  chain_encryption.exe

chain_encryption.exe: C:/Qt/5.14.1/mingw73_32/lib/libQt5Widgets.a C:/Qt/5.14.1/mingw73_32/lib/libQt5Gui.a C:/Qt/5.14.1/mingw73_32/lib/libQt5Core.a C:/Qt/5.14.1/mingw73_32/lib/libqtmain.a ui_mainwindow.h $(OBJECTS) 
	$(LINKER) $(LFLAGS) -o $(DESTDIR_TARGET) @object_script.chain_encryption  $(LIBS)

Makefile: ../chain_encryption/chain_encryption.pro ../../../../Qt/5.14.1/mingw73_32/mkspecs/win32-g++/qmake.conf ../../../../Qt/5.14.1/mingw73_32/mkspecs/features/spec_pre.prf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/qdevice.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/features/device_config.prf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/common/sanitize.conf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/common/gcc-base.conf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/common/g++-base.conf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/common/angle.conf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/features/win32/windows_vulkan_sdk.prf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/common/windows-vulkan.conf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/common/g++-win32.conf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/common/windows-desktop.conf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/qconfig.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3danimation.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3danimation_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dcore.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dcore_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dextras.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dextras_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dinput.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dinput_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dlogic.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dlogic_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dquick.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dquick_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dquickanimation.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dquickanimation_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dquickextras.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dquickextras_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dquickinput.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dquickinput_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dquickrender.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dquickrender_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dquickscene2d.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dquickscene2d_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3drender.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3drender_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_accessibility_support_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_axbase.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_axbase_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_axcontainer.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_axcontainer_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_axserver.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_axserver_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_bluetooth.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_bluetooth_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_bootstrap_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_concurrent.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_concurrent_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_core.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_core_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_dbus.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_dbus_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_designer.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_designer_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_designercomponents_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_devicediscovery_support_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_edid_support_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_egl_support_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_eventdispatcher_support_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_fb_support_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_fontdatabase_support_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_gamepad.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_gamepad_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_gui.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_gui_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_help.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_help_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_location.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_location_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_multimedia.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_multimedia_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_multimediawidgets.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_multimediawidgets_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_network.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_network_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_nfc.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_nfc_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_opengl.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_opengl_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_openglextensions.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_openglextensions_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_packetprotocol_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_platformcompositor_support_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_positioning.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_positioning_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_positioningquick.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_positioningquick_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_printsupport.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_printsupport_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_qml.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_qml_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_qmldebug_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_qmldevtools_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_qmlmodels.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_qmlmodels_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_qmltest.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_qmltest_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_qmlworkerscript.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_qmlworkerscript_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_qtmultimediaquicktools_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_quick.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_quick_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_quickcontrols2.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_quickcontrols2_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_quickparticles_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_quickshapes_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_quicktemplates2.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_quicktemplates2_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_quickwidgets.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_quickwidgets_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_remoteobjects.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_remoteobjects_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_repparser.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_repparser_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_scxml.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_scxml_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_sensors.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_sensors_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_serialbus.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_serialbus_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_serialport.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_serialport_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_sql.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_sql_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_svg.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_svg_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_testlib.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_testlib_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_texttospeech.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_texttospeech_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_theme_support_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_uiplugin.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_uitools.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_uitools_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_webchannel.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_webchannel_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_websockets.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_websockets_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_widgets.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_widgets_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_windowsuiautomation_support_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_winextras.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_winextras_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_xml.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_xml_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_xmlpatterns.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_xmlpatterns_private.pri \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/features/qt_functions.prf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/features/qt_config.prf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/win32-g++/qmake.conf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/features/spec_post.prf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/features/exclusive_builds.prf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/features/toolchain.prf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/features/default_pre.prf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/features/win32/default_pre.prf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/features/resolve_config.prf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/features/default_post.prf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/features/resources_functions.prf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/features/qtquickcompiler.prf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/features/precompile_header.prf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/features/warn_on.prf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/features/qt.prf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/features/resources.prf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/features/moc.prf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/features/win32/opengl.prf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/features/uic.prf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/features/qmake_use.prf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/features/file_copies.prf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/features/win32/windows.prf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/features/testcase_targets.prf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/features/exceptions.prf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/features/yacc.prf \
		../../../../Qt/5.14.1/mingw73_32/mkspecs/features/lex.prf \
		../chain_encryption/chain_encryption.pro \
		../chain_encryption/imgs.qrc \
		../../../../Qt/5.14.1/mingw73_32/lib/Qt5Widgets.prl \
		../../../../Qt/5.14.1/mingw73_32/lib/Qt5Gui.prl \
		../../../../Qt/5.14.1/mingw73_32/lib/Qt5Core.prl \
		../../../../Qt/5.14.1/mingw73_32/lib/qtmain.prl
	$(QMAKE) -o Makefile ..\chain_encryption\chain_encryption.pro -spec win32-g++ "CONFIG+=qtquickcompiler"
../../../../Qt/5.14.1/mingw73_32/mkspecs/features/spec_pre.prf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/qdevice.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/features/device_config.prf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/common/sanitize.conf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/common/gcc-base.conf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/common/g++-base.conf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/common/angle.conf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/features/win32/windows_vulkan_sdk.prf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/common/windows-vulkan.conf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/common/g++-win32.conf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/common/windows-desktop.conf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/qconfig.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3danimation.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3danimation_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dcore.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dcore_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dextras.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dextras_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dinput.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dinput_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dlogic.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dlogic_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dquick.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dquick_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dquickanimation.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dquickanimation_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dquickextras.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dquickextras_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dquickinput.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dquickinput_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dquickrender.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dquickrender_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dquickscene2d.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3dquickscene2d_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3drender.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_3drender_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_accessibility_support_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_axbase.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_axbase_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_axcontainer.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_axcontainer_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_axserver.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_axserver_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_bluetooth.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_bluetooth_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_bootstrap_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_concurrent.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_concurrent_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_core.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_core_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_dbus.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_dbus_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_designer.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_designer_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_designercomponents_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_devicediscovery_support_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_edid_support_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_egl_support_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_eventdispatcher_support_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_fb_support_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_fontdatabase_support_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_gamepad.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_gamepad_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_gui.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_gui_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_help.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_help_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_location.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_location_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_multimedia.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_multimedia_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_multimediawidgets.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_multimediawidgets_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_network.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_network_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_nfc.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_nfc_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_opengl.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_opengl_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_openglextensions.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_openglextensions_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_packetprotocol_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_platformcompositor_support_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_positioning.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_positioning_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_positioningquick.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_positioningquick_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_printsupport.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_printsupport_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_qml.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_qml_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_qmldebug_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_qmldevtools_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_qmlmodels.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_qmlmodels_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_qmltest.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_qmltest_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_qmlworkerscript.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_qmlworkerscript_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_qtmultimediaquicktools_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_quick.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_quick_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_quickcontrols2.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_quickcontrols2_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_quickparticles_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_quickshapes_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_quicktemplates2.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_quicktemplates2_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_quickwidgets.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_quickwidgets_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_remoteobjects.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_remoteobjects_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_repparser.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_repparser_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_scxml.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_scxml_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_sensors.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_sensors_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_serialbus.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_serialbus_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_serialport.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_serialport_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_sql.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_sql_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_svg.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_svg_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_testlib.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_testlib_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_texttospeech.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_texttospeech_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_theme_support_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_uiplugin.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_uitools.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_uitools_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_webchannel.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_webchannel_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_websockets.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_websockets_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_widgets.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_widgets_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_windowsuiautomation_support_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_winextras.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_winextras_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_xml.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_xml_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_xmlpatterns.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/modules/qt_lib_xmlpatterns_private.pri:
../../../../Qt/5.14.1/mingw73_32/mkspecs/features/qt_functions.prf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/features/qt_config.prf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/win32-g++/qmake.conf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/features/spec_post.prf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/features/exclusive_builds.prf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/features/toolchain.prf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/features/default_pre.prf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/features/win32/default_pre.prf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/features/resolve_config.prf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/features/default_post.prf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/features/resources_functions.prf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/features/qtquickcompiler.prf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/features/precompile_header.prf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/features/warn_on.prf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/features/qt.prf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/features/resources.prf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/features/moc.prf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/features/win32/opengl.prf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/features/uic.prf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/features/qmake_use.prf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/features/file_copies.prf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/features/win32/windows.prf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/features/testcase_targets.prf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/features/exceptions.prf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/features/yacc.prf:
../../../../Qt/5.14.1/mingw73_32/mkspecs/features/lex.prf:
../chain_encryption/chain_encryption.pro:
../chain_encryption/imgs.qrc:
../../../../Qt/5.14.1/mingw73_32/lib/Qt5Widgets.prl:
../../../../Qt/5.14.1/mingw73_32/lib/Qt5Gui.prl:
../../../../Qt/5.14.1/mingw73_32/lib/Qt5Core.prl:
../../../../Qt/5.14.1/mingw73_32/lib/qtmain.prl:
qmake: FORCE
	@$(QMAKE) -o Makefile ..\chain_encryption\chain_encryption.pro -spec win32-g++ "CONFIG+=qtquickcompiler"

qmake_all: FORCE

dist:
	$(ZIP) chain_encryption.zip $(SOURCES) $(DIST) ..\chain_encryption\chain_encryption.pro ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\spec_pre.prf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\qdevice.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\device_config.prf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\common\sanitize.conf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\common\gcc-base.conf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\common\g++-base.conf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\common\angle.conf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\win32\windows_vulkan_sdk.prf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\common\windows-vulkan.conf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\common\g++-win32.conf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\common\windows-desktop.conf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\qconfig.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_3danimation.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_3danimation_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_3dcore.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_3dcore_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_3dextras.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_3dextras_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_3dinput.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_3dinput_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_3dlogic.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_3dlogic_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_3dquick.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_3dquick_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_3dquickanimation.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_3dquickanimation_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_3dquickextras.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_3dquickextras_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_3dquickinput.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_3dquickinput_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_3dquickrender.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_3dquickrender_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_3dquickscene2d.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_3dquickscene2d_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_3drender.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_3drender_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_accessibility_support_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_axbase.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_axbase_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_axcontainer.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_axcontainer_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_axserver.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_axserver_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_bluetooth.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_bluetooth_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_bootstrap_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_concurrent.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_concurrent_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_core.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_core_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_dbus.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_dbus_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_designer.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_designer_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_designercomponents_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_devicediscovery_support_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_edid_support_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_egl_support_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_eventdispatcher_support_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_fb_support_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_fontdatabase_support_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_gamepad.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_gamepad_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_gui.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_gui_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_help.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_help_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_location.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_location_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_multimedia.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_multimedia_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_multimediawidgets.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_multimediawidgets_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_network.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_network_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_nfc.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_nfc_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_opengl.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_opengl_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_openglextensions.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_openglextensions_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_packetprotocol_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_platformcompositor_support_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_positioning.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_positioning_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_positioningquick.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_positioningquick_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_printsupport.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_printsupport_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_qml.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_qml_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_qmldebug_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_qmldevtools_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_qmlmodels.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_qmlmodels_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_qmltest.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_qmltest_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_qmlworkerscript.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_qmlworkerscript_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_qtmultimediaquicktools_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_quick.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_quick_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_quickcontrols2.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_quickcontrols2_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_quickparticles_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_quickshapes_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_quicktemplates2.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_quicktemplates2_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_quickwidgets.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_quickwidgets_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_remoteobjects.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_remoteobjects_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_repparser.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_repparser_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_scxml.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_scxml_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_sensors.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_sensors_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_serialbus.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_serialbus_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_serialport.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_serialport_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_sql.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_sql_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_svg.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_svg_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_testlib.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_testlib_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_texttospeech.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_texttospeech_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_theme_support_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_uiplugin.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_uitools.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_uitools_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_webchannel.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_webchannel_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_websockets.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_websockets_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_widgets.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_widgets_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_windowsuiautomation_support_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_winextras.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_winextras_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_xml.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_xml_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_xmlpatterns.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\modules\qt_lib_xmlpatterns_private.pri ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\qt_functions.prf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\qt_config.prf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\win32-g++\qmake.conf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\spec_post.prf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\exclusive_builds.prf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\toolchain.prf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\default_pre.prf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\win32\default_pre.prf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\resolve_config.prf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\default_post.prf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\resources_functions.prf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\qtquickcompiler.prf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\precompile_header.prf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\warn_on.prf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\qt.prf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\resources.prf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\moc.prf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\win32\opengl.prf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\uic.prf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\qmake_use.prf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\file_copies.prf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\win32\windows.prf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\testcase_targets.prf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\exceptions.prf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\yacc.prf ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\lex.prf ..\chain_encryption\chain_encryption.pro ..\chain_encryption\imgs.qrc ..\..\..\..\Qt\5.14.1\mingw73_32\lib\Qt5Widgets.prl ..\..\..\..\Qt\5.14.1\mingw73_32\lib\Qt5Gui.prl ..\..\..\..\Qt\5.14.1\mingw73_32\lib\Qt5Core.prl ..\..\..\..\Qt\5.14.1\mingw73_32\lib\qtmain.prl chain_encryption_hi_IN.ts chain_encryption_hi_IN.ts    ..\chain_encryption\imgs.qrc ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\data\dummy.cpp ..\chain_encryption\compa.h ..\chain_encryption\comparator.h ..\chain_encryption\data.h ..\chain_encryption\dfg.h ..\chain_encryption\encrypt.h ..\chain_encryption\mainwindow.h ..\chain_encryption\sha_512.h  ..\chain_encryption\compa.cpp ..\chain_encryption\comparator.cpp ..\chain_encryption\data.cpp ..\chain_encryption\dfg.cpp ..\chain_encryption\encrypt.cpp ..\chain_encryption\main.cpp ..\chain_encryption\mainwindow.cpp ..\chain_encryption\sha_512.cpp ..\chain_encryption\mainwindow.ui    

clean: compiler_clean 
	-$(DEL_FILE) compa.o comparator.o data.o dfg.o encrypt.o main.o mainwindow.o sha_512.o qrc_imgs.o moc_mainwindow.o

distclean: clean 
	-$(DEL_FILE) .qmake.stash
	-$(DEL_FILE) $(DESTDIR_TARGET)
	-$(DEL_FILE) Makefile

mocclean: compiler_moc_header_clean compiler_moc_objc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_objc_header_make_all compiler_moc_source_make_all

check: first

benchmark: first

compiler_qmlcache_make_all:
compiler_qmlcache_clean:
compiler_qmlcache_loader_make_all: qmlcache_loader.cpp
compiler_qmlcache_loader_clean:
	-$(DEL_FILE) qmlcache_loader.cpp
compiler_no_pch_compiler_make_all:
compiler_no_pch_compiler_clean:
compiler_rcc_make_all: qrc_imgs.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_imgs.cpp
qrc_imgs.cpp: ../chain_encryption/imgs.qrc \
		../../../../Qt/5.14.1/mingw73_32/bin/rcc.exe \
		../chain_encryption/que.png \
		../chain_encryption/up.png \
		../chain_encryption/tick.png \
		../chain_encryption/images.png \
		../chain_encryption/cross.png \
		../chain_encryption/aster.png
	C:\Qt\5.14.1\mingw73_32\bin\rcc.exe -name imgs ..\chain_encryption\imgs.qrc -o qrc_imgs.cpp

compiler_moc_predefs_make_all: moc_predefs.h
compiler_moc_predefs_clean:
	-$(DEL_FILE) moc_predefs.h
moc_predefs.h: ../../../../Qt/5.14.1/mingw73_32/mkspecs/features/data/dummy.cpp
	g++ -fno-keep-inline-dllexport -O2 -std=gnu++11 -Wall -Wextra -Wextra -dM -E -o moc_predefs.h ..\..\..\..\Qt\5.14.1\mingw73_32\mkspecs\features\data\dummy.cpp

compiler_moc_header_make_all: moc_mainwindow.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp
moc_mainwindow.cpp: ../chain_encryption/mainwindow.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/QMainWindow \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qmainwindow.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qtwidgetsglobal.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qtguiglobal.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qglobal.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qconfig-bootstrapped.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qconfig.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qtcore-config.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qsystemdetection.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qprocessordetection.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qcompilerdetection.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qtypeinfo.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qsysinfo.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qlogging.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qflags.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qatomic.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qbasicatomic.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qatomic_bootstrap.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qgenericatomic.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qatomic_cxx11.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qatomic_msvc.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qglobalstatic.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qmutex.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qnumeric.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qversiontagging.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qtgui-config.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qtwidgets-config.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qwidget.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qwindowdefs.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qobjectdefs.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qnamespace.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qobjectdefs_impl.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qwindowdefs_win.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qobject.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qstring.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qchar.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qbytearray.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qrefcount.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qarraydata.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qstringliteral.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qstringalgorithms.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qstringview.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qstringbuilder.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qlist.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qalgorithms.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qiterator.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qhashfunctions.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qpair.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qvector.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qcontainertools_impl.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qpoint.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qbytearraylist.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qstringlist.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qregexp.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qstringmatcher.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qcoreevent.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qscopedpointer.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qmetatype.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qvarlengtharray.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qcontainerfwd.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qobject_impl.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qmargins.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qpaintdevice.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qrect.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qsize.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qpalette.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qcolor.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qrgb.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qrgba64.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qbrush.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qmatrix.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qpolygon.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qregion.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qdatastream.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qiodevice.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qline.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qtransform.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qpainterpath.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qimage.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qpixelformat.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qpixmap.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qsharedpointer.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qshareddata.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qhash.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qsharedpointer_impl.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qfont.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qfontmetrics.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qfontinfo.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qsizepolicy.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qcursor.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qkeysequence.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qevent.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qvariant.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qmap.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qdebug.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qtextstream.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qlocale.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qset.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qcontiguouscache.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qurl.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qurlquery.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qfile.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qfiledevice.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qvector2d.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qtouchdevice.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qtabwidget.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qicon.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/QFile \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/QFileDialog \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qfiledialog.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qdir.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qfileinfo.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qdialog.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/QTextStream \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/QMessageBox \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qmessagebox.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/QInputDialog \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qinputdialog.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qlineedit.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qframe.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qtextcursor.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qtextformat.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qpen.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qtextoption.h \
		../chain_encryption/dfg.h \
		../chain_encryption/data.h \
		../chain_encryption/compa.h \
		../chain_encryption/comparator.h \
		../chain_encryption/encrypt.h \
		../chain_encryption/sha_512.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/QString \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/QSize \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/QCloseEvent \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/QPixmap \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/QValidator \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qvalidator.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qregularexpression.h \
		moc_predefs.h \
		../../../../Qt/5.14.1/mingw73_32/bin/moc.exe
	C:\Qt\5.14.1\mingw73_32\bin\moc.exe $(DEFINES) --include C:/Users/rahul/Documents/build-chain_encryption-Desktop_Qt_5_14_1_MinGW_32_bit-Release/moc_predefs.h -IC:/Qt/5.14.1/mingw73_32/mkspecs/win32-g++ -IC:/Users/rahul/Documents/chain_encryption -IC:/Qt/5.14.1/mingw73_32/include -IC:/Qt/5.14.1/mingw73_32/include/QtWidgets -IC:/Qt/5.14.1/mingw73_32/include/QtGui -IC:/Qt/5.14.1/mingw73_32/include/QtANGLE -IC:/Qt/5.14.1/mingw73_32/include/QtCore -I. -IC:/Qt/Tools/mingw730_32/lib/gcc/i686-w64-mingw32/7.3.0/include/c++ -IC:/Qt/Tools/mingw730_32/lib/gcc/i686-w64-mingw32/7.3.0/include/c++/i686-w64-mingw32 -IC:/Qt/Tools/mingw730_32/lib/gcc/i686-w64-mingw32/7.3.0/include/c++/backward -IC:/Qt/Tools/mingw730_32/lib/gcc/i686-w64-mingw32/7.3.0/include -IC:/Qt/Tools/mingw730_32/lib/gcc/i686-w64-mingw32/7.3.0/include-fixed -IC:/Qt/Tools/mingw730_32/i686-w64-mingw32/include ..\chain_encryption\mainwindow.h -o moc_mainwindow.cpp

compiler_moc_objc_header_make_all:
compiler_moc_objc_header_clean:
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_mainwindow.h
compiler_uic_clean:
	-$(DEL_FILE) ui_mainwindow.h
ui_mainwindow.h: ../chain_encryption/mainwindow.ui \
		../../../../Qt/5.14.1/mingw73_32/bin/uic.exe
	C:\Qt\5.14.1\mingw73_32\bin\uic.exe ..\chain_encryption\mainwindow.ui -o ui_mainwindow.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_rcc_clean compiler_moc_predefs_clean compiler_moc_header_clean compiler_uic_clean 



####### Compile

compa.o: ../chain_encryption/compa.cpp ../chain_encryption/compa.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o compa.o ..\chain_encryption\compa.cpp

comparator.o: ../chain_encryption/comparator.cpp ../chain_encryption/comparator.h \
		../chain_encryption/data.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o comparator.o ..\chain_encryption\comparator.cpp

data.o: ../chain_encryption/data.cpp ../chain_encryption/data.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o data.o ..\chain_encryption\data.cpp

dfg.o: ../chain_encryption/dfg.cpp ../chain_encryption/dfg.h \
		../chain_encryption/data.h \
		../chain_encryption/compa.h \
		../chain_encryption/comparator.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o dfg.o ..\chain_encryption\dfg.cpp

encrypt.o: ../chain_encryption/encrypt.cpp ../chain_encryption/encrypt.h \
		../chain_encryption/data.h \
		../chain_encryption/sha_512.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o encrypt.o ..\chain_encryption\encrypt.cpp

main.o: ../chain_encryption/main.cpp ../chain_encryption/mainwindow.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/QMainWindow \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qmainwindow.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qtwidgetsglobal.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qtguiglobal.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qglobal.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qconfig-bootstrapped.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qconfig.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qtcore-config.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qsystemdetection.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qprocessordetection.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qcompilerdetection.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qtypeinfo.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qsysinfo.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qlogging.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qflags.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qatomic.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qbasicatomic.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qatomic_bootstrap.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qgenericatomic.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qatomic_cxx11.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qatomic_msvc.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qglobalstatic.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qmutex.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qnumeric.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qversiontagging.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qtgui-config.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qtwidgets-config.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qwidget.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qwindowdefs.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qobjectdefs.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qnamespace.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qobjectdefs_impl.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qwindowdefs_win.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qobject.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qstring.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qchar.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qbytearray.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qrefcount.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qarraydata.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qstringliteral.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qstringalgorithms.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qstringview.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qstringbuilder.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qlist.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qalgorithms.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qiterator.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qhashfunctions.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qpair.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qvector.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qcontainertools_impl.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qpoint.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qbytearraylist.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qstringlist.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qregexp.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qstringmatcher.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qcoreevent.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qscopedpointer.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qmetatype.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qvarlengtharray.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qcontainerfwd.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qobject_impl.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qmargins.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qpaintdevice.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qrect.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qsize.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qpalette.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qcolor.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qrgb.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qrgba64.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qbrush.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qmatrix.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qpolygon.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qregion.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qdatastream.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qiodevice.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qline.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qtransform.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qpainterpath.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qimage.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qpixelformat.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qpixmap.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qsharedpointer.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qshareddata.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qhash.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qsharedpointer_impl.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qfont.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qfontmetrics.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qfontinfo.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qsizepolicy.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qcursor.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qkeysequence.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qevent.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qvariant.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qmap.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qdebug.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qtextstream.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qlocale.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qset.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qcontiguouscache.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qurl.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qurlquery.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qfile.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qfiledevice.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qvector2d.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qtouchdevice.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qtabwidget.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qicon.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/QFile \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/QFileDialog \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qfiledialog.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qdir.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qfileinfo.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qdialog.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/QTextStream \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/QMessageBox \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qmessagebox.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/QInputDialog \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qinputdialog.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qlineedit.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qframe.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qtextcursor.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qtextformat.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qpen.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qtextoption.h \
		../chain_encryption/dfg.h \
		../chain_encryption/data.h \
		../chain_encryption/compa.h \
		../chain_encryption/comparator.h \
		../chain_encryption/encrypt.h \
		../chain_encryption/sha_512.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/QString \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/QSize \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/QCloseEvent \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/QPixmap \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/QValidator \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qvalidator.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qregularexpression.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/QApplication \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qapplication.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qcoreapplication.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qeventloop.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qdesktopwidget.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qguiapplication.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qinputmethod.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o ..\chain_encryption\main.cpp

mainwindow.o: ../chain_encryption/mainwindow.cpp ../chain_encryption/mainwindow.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/QMainWindow \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qmainwindow.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qtwidgetsglobal.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qtguiglobal.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qglobal.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qconfig-bootstrapped.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qconfig.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qtcore-config.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qsystemdetection.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qprocessordetection.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qcompilerdetection.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qtypeinfo.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qsysinfo.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qlogging.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qflags.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qatomic.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qbasicatomic.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qatomic_bootstrap.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qgenericatomic.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qatomic_cxx11.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qatomic_msvc.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qglobalstatic.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qmutex.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qnumeric.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qversiontagging.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qtgui-config.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qtwidgets-config.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qwidget.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qwindowdefs.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qobjectdefs.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qnamespace.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qobjectdefs_impl.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qwindowdefs_win.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qobject.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qstring.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qchar.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qbytearray.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qrefcount.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qarraydata.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qstringliteral.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qstringalgorithms.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qstringview.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qstringbuilder.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qlist.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qalgorithms.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qiterator.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qhashfunctions.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qpair.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qvector.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qcontainertools_impl.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qpoint.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qbytearraylist.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qstringlist.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qregexp.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qstringmatcher.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qcoreevent.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qscopedpointer.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qmetatype.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qvarlengtharray.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qcontainerfwd.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qobject_impl.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qmargins.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qpaintdevice.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qrect.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qsize.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qpalette.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qcolor.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qrgb.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qrgba64.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qbrush.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qmatrix.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qpolygon.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qregion.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qdatastream.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qiodevice.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qline.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qtransform.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qpainterpath.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qimage.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qpixelformat.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qpixmap.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qsharedpointer.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qshareddata.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qhash.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qsharedpointer_impl.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qfont.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qfontmetrics.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qfontinfo.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qsizepolicy.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qcursor.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qkeysequence.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qevent.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qvariant.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qmap.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qdebug.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qtextstream.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qlocale.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qset.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qcontiguouscache.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qurl.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qurlquery.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qfile.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qfiledevice.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qvector2d.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qtouchdevice.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qtabwidget.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qicon.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/QFile \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/QFileDialog \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qfiledialog.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qdir.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qfileinfo.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qdialog.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/QTextStream \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/QMessageBox \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qmessagebox.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/QInputDialog \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qinputdialog.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qlineedit.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtWidgets/qframe.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qtextcursor.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qtextformat.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qpen.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qtextoption.h \
		../chain_encryption/dfg.h \
		../chain_encryption/data.h \
		../chain_encryption/compa.h \
		../chain_encryption/comparator.h \
		../chain_encryption/encrypt.h \
		../chain_encryption/sha_512.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/QString \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/QSize \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/QCloseEvent \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/QPixmap \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/QValidator \
		../../../../Qt/5.14.1/mingw73_32/include/QtGui/qvalidator.h \
		../../../../Qt/5.14.1/mingw73_32/include/QtCore/qregularexpression.h \
		ui_mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o ..\chain_encryption\mainwindow.cpp

sha_512.o: ../chain_encryption/sha_512.cpp ../chain_encryption/sha_512.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o sha_512.o ..\chain_encryption\sha_512.cpp

qrc_imgs.o: qrc_imgs.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qrc_imgs.o qrc_imgs.cpp

moc_mainwindow.o: moc_mainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwindow.o moc_mainwindow.cpp

####### Install

install:  FORCE

uninstall:  FORCE

FORCE:

